summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--www-client/opera/Manifest1
-rw-r--r--www-client/opera/opera-66.0.3515.27.ebuild111
2 files changed, 112 insertions, 0 deletions
diff --git a/www-client/opera/Manifest b/www-client/opera/Manifest
index f7018b795cb..3bff7fdf989 100644
--- a/www-client/opera/Manifest
+++ b/www-client/opera/Manifest
@@ -1 +1,2 @@
DIST opera-stable_65.0.3467.69_amd64.deb 66584760 BLAKE2B 72a22ee722e8b883cd5216eed09f3a7696a5d110dbd967e03e9caafec82d9c1cfc48ea4f0b8f3a0a3e79cd431386f92d814b0c6249fd0ce298b5cdffc001a6d2 SHA512 6ed4fb719b05df782bac07eb08ad1716a6a7531e0fd634f0626d65621c1873ff29a478b84459316c24d185b7b9a825654891c53ac1d9968beacca42092f03268
+DIST opera-stable_66.0.3515.27_amd64.deb 66073940 BLAKE2B 3c14db1865f244dc3eca5391c9704bbc2999fbb5b752b97ea04f5c5446ba5f738119c6b25116418f3f9851e23df5421e8de4f7863d541958ee6804612238e007 SHA512 fd5b8843537edcdfaa4bf0e623358de0980aac0f567c3a01dd39484571e3a5467d431719ffd5d7189d7ce9c27217fb6d1abebb1a18137f25da13f797d379051b
diff --git a/www-client/opera/opera-66.0.3515.27.ebuild b/www-client/opera/opera-66.0.3515.27.ebuild
new file mode 100644
index 00000000000..a1d448874c7
--- /dev/null
+++ b/www-client/opera/opera-66.0.3515.27.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+CHROMIUM_LANGS="
+ be bg bn ca cs da de el en-GB en-US es-419 es fil fi fr-CA fr hi hr hu id
+ it ja ko lt lv ms nb nl pl pt-BR pt-PT ro ru sk sr sv sw ta te th tr uk vi
+ zh-CN zh-TW
+
+"
+inherit chromium-2 multilib unpacker xdg-utils
+
+DESCRIPTION="A fast and secure web browser"
+HOMEPAGE="https://www.opera.com/"
+LICENSE="OPERA-2014"
+SLOT="0"
+SRC_URI_BASE="
+ https://download1.operacdn.com/pub/
+ https://download2.operacdn.com/pub/
+ https://download3.operacdn.com/pub/
+ https://download4.operacdn.com/pub/
+"
+for uri in ${SRC_URI_BASE}; do
+SRC_URI+="
+ "${uri}${PN}/desktop/${PV}/linux/${PN}-stable_${PV}_amd64.deb"
+"
+done
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ gnome-base/gconf:2
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/freetype
+ net-misc/curl
+ net-print/cups
+ sys-apps/dbus
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/libXScrnSaver
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/libnotify
+ x11-libs/pango[X]
+"
+
+QA_PREBUILT="*"
+S=${WORKDIR}
+
+src_unpack() {
+ unpack_deb ${A}
+}
+
+src_prepare() {
+ default
+
+ OPERA_HOME="usr/$(get_libdir)/${PN}"
+
+ case ${ARCH} in
+ amd64)
+ mv usr/lib/x86_64-linux-gnu usr/$(get_libdir) || die
+ rm -r usr/lib || die
+ ;;
+ esac
+
+ rm usr/bin/${PN} || die
+
+ rm usr/share/doc/${PN}-stable/copyright || die
+ mv usr/share/doc/${PN}-stable usr/share/doc/${PF} || die
+ gunzip usr/share/doc/${PF}/changelog.gz || die
+
+ pushd "${OPERA_HOME}"/localization > /dev/null || die
+ chromium_remove_language_paks
+ popd > /dev/null || die
+
+ sed -i \
+ -e 's|^TargetEnvironment|X-&|g' \
+ usr/share/applications/${PN}.desktop || die
+}
+
+src_install() {
+ rm "${OPERA_HOME}"/${PN}_autoupdate || die
+ mv * "${D}" || die
+ dosym ../$(get_libdir)/${PN}/${PN} /usr/bin/${PN}
+ fperms 4711 /"${OPERA_HOME}"/opera_sandbox
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ xdg_mimeinfo_database_update
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ xdg_mimeinfo_database_update
+}